=== debian/watch ===
# See uscan(1) for format

version=3
opts=dversionmangle=s/[+.]dfsg$//,uversionmangle=s/(\d)(\d)/$1.$2/g \
 http://www.lwfinger.com/drawxtl/download.html DRAWxtl([\d]+)\.tar\.gz
